[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.SetText

Set the contents of the list from a PChar.

## Declaration

Source position: classesh.inc line 678

`public procedure TStrings.SetText(`
`TheText: PChar`
`); virtual;`

## Description

SetText parses the contents of TheText and fills the stringlist based on the contents. It regards TheText as a series of strings, separated by end-of-line markers. Each of these strings is added to the stringlist.

## See also

TStrings.Text |  | Contents of the list as one big string.

Documentation generated on: Feb 26 2014